<%= form_with(model: project, local: true) do |form| %>
  <% if project.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(project.errors.count, "error") %> prohibited this project from being saved:</h2>

      <ul>
      <% project.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="form-group">
    <%= form.label :title %>
    <%= form.text_field :title, class: 'form-control', placeholder: 'My awesome project' %>
  </div>

  <div class="form-group">
    <%= form.label :vision %>
    <%= form.text_field :vision, class: 'form-control', placeholder: 'Briefly describe your project' %>
  </div>

  <div class="form-group">
    <%= form.label :description %>
    <%= form.text_field :description, class: 'form-control', placeholder: 'Enter a detailed description of your project' %>
  </div>

  <div class="form-group">
    <%= form.label :user_id %>
    <%= form.text_field :user_id, class: 'form-control' %>
  </div>

  <div class="form-check m-b-20">
    <label class="form-check-label">
      <%= form.check_box :public, class: "form-check-input" %>
      Public
    </label>
  </div>

  <div class="actions m-t-30 m-b-0">
    <% if project.persisted? %>
    <%= link_to project, method: :delete, class: "btn btn-danger btn-icon float-left", data: { confirm: 'Are you sure?' } do %>
      <%= image_tag "icons/bin.svg" %>
    <% end %>
    <% end %>

    <%= form.submit class: 'btn btn-primary m-l-10 float-right' %>

    <% if project.persisted? %>
      <%= link_to "Cancel", project, class: "btn btn-light float-right" %>
    <% else %>
      <%= link_to "Cancel", projects_path, class: "btn btn-light float-right" %>
    <% end %>
  </div>
<% end %>
